﻿@model Product
@{
    ViewData["Title"] = "Details product";
}
@{
    var listProduct = _unitOfWork.ProductRepository.GetAll().Take(3);
}
@functions {
    public decimal getSaleMoney(Product product)
    {
        if (product.DiscountId == null)
        {

            return 0;
        }
        else
        {
            Discount discount = _unitOfWork.DiscountRepository.GetById(product.DiscountId);
            if (discount is not null)
            {
                if (discount.StartDate <= DateTime.Now && DateTime.Now <= discount.EndDate)
                {
                    return product.Price * Convert.ToDecimal(discount.Percent) / 100;

                }
            }
            return 0;

        }
    }
}

<div class="overlay"></div>
<div class="container">
    <div class="product-heading row">
        <div class="product-name col-8">
            <h3>@Model.Name</h3>
        </div>
        <div class="product-rate col-4">
            <span>
                @{
                    for (int i = 1; i <= 5; i++)
                    {
                        <i class="fas fa-star"></i>
                    }
                }
            </span> | @Model.RateCount đánh giá
        </div>
    </div>
    <hr />
    <div class="product-detail row mb-2">
        <div class="product-left col-6">
            <div class="product-detail-image">
                <img width="100%" height="100%" src="/custom/client/img/@Model.ImageName">
                <div class="product-detail-sale text-center">GIẢM: <span>@getSaleMoney(Model)</span> </div>
            </div>
            <div class="product-feature row text-center p-5">
                <div class="col-4"><i class="fas fa-image"></i><br />Xem thêm hình</div>
                <div class="col-4"></div>
                <div class="col-4"><i class="fas fa-box-open"></i><br />Quà kèm theo</div>
            </div>
            <div class="row"></div>
            <div class="col-12">
                <div class="product-detail-infor row">
                    <div class="promo-title col-12">Thông tin về sản phẩm</div>
                    <div class="product-screen-size col-12 mb-1"><i class="fas fa-display"></i> @Model.Monitor Inch</div>
                    <div class="product-cpu col-12 mb-1"><i class="fas fa-microchip"></i> @Model.Name</div>
                    <div class="product-memory col-12 mb-1"><i class="fas fa-memory"></i> Ram @Model.Ram GB</div>
                    <div class="product-hardDriver col-12 mb-1"><i class="fas fa-hard-drive"></i> SSD @Model.HardDriver GB</div>
                    <div class="product-gpu col-12 mb-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="13.5" fill="currentColor" class="bi bi-gpu-card" viewBox="0 0 16 16">
                            <path d="M4 8a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0Zm7.5-1.5a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3Z" />
                            <path d="M0 1.5A.5.5 0 0 1 .5 1h1a.5.5 0 0 1 .5.5V4h13.5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-.5.5H2v2.5a.5.5 0 0 1-1 0V2H.5a.5.5 0 0 1-.5-.5Zm5.5 4a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5ZM9 8a2.5 2.5 0 1 0 5 0 2.5 2.5 0 0 0-5 0Z" />
                            <path d="M3 12.5h3.5v1a.5.5 0 0 1-.5.5H3.5a.5.5 0 0 1-.5-.5v-1Zm4 1v-1h4v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5Z" />
                        </svg> @Model.Card
                    </div>
                    <div class="product-weight col-12 mb-1">
                        <i class="fas fa-weight-hanging"></i> @Model.Weight kg
                    </div>
                    <div class="product-os col-12">
                        <i class="fa-brands fa-microsoft"></i> @Model.OperatingSystem
                    </div>
                </div>
            </div>
        </div>
        <div class="product-right col-6">
            <div class="detail-price ">
                <div class="detail-price-main">
                    @Model.Price đ
                </div>
                <div class="detail-price-sale">
                    @{
                       var price = Model.Price - getSaleMoney(Model);
                    }@price đ
                </div>
             </div>
            <div class="promo-area row">
                <div class="promo-title col-3">Ưu đãi</div>
                <div class="promo-list">
                    <ul>
                        <li><i class="fas fa-check-circle"></i> Tặng Balo Gaming cao cấp</li>
                        <li>
                            <i class="fas fa-check-circle"></i>
                            Tặng PMH Phụ kiện 300.000đ áp dụng khi mua Online đến 15/05 (Không áp dụng Trả góp 0%)
                        </li>
                        <li>
                            <i class="fas fa-check-circle"></i>
                            Ưu đãi đặc quyền dành cho Học sinh Sinh viên: Tặng thêm 1 năm bảo hành
                        </li>
                        <li><i class="fas fa-check-circle"></i> Thu cũ đổi mới trợ giá ngay đến 2 triệu </li>
                        <li>
                            <i class="fas fa-check-circle"></i>
                            Tặng PMH 100.000đ mua Microsoft 365 Personal/Family
                        </li>
                        <li>
                            <i class="fas fa-check-circle"></i>
                            Tặng phiếu mua hàng 500.000đ
                        </li>
                        <li><i class="fas fa-check-circle"></i> Tặng Chuột Gaming GM03</li>
                        <li>
                            <i class="fas fa-check-circle"></i>
                            Giảm ngay 12.000.000đ áp dụng đến 11/05
                        </li>
                        <li><i class="fas fa-check-circle"></i> Tặng Balo Laptop</li>
                    </ul>
                </div>
            </div>
            <div class="row">
                <a asp-route="addcart"
                   asp-route-productid="@Model.Id" asp-area="Customer" >
                <div class="product-buy-btn bg-danger text-center text-white font-weight-bold rounded-pill col-12 mb-2 p-3">
                    ĐẶT HÀNG
                </div>
                </a>
                <div class="product-buy-btn bg-warning text-center text-white font-weight-bold rounded-pill col-6  p-3">TRẢ GÓP</div>
                <div class="product-buy-btn bg-primary text-center text-white font-weight-bold rounded-pill col-6  p-3">XEM GIỎ HÀNG</div>
            </div>
            <div class="more-product">
                <div class="promo-title col-6 mt-2">Sản phẩm khác</div>
            @foreach(var item in listProduct)
            {
                <div class="post-preview">
                    <img width="68" height="68" class="mr-1" src="~/custom//client/img/@item.ImageName">
                    <a href="/Customer/Products/Details?Id=@item.Id">
                            <span>
                                @item.Name
                            </span><br>
                            <span class="text-danger">
                                @price đ
                            </span>
                            <span class="text-decoration-line-through">
                                @item.Price đ
                            </span>
                    </a>
                </div>
            }
            </div>
        </div>
    </div>
</div>

